<?php
session_start();
require("config.php");
// o usuĂĄrio estĂĄ logado?
if(!isset($_SESSION["id_usuario_logado"])){
  header("Location: login.php");
  exit;
}

// tem permissão para excluir?
if(!Permissao::podeExcluir($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para excluir

// id do pagamento ou recebimento a ser excluido
$conta_pagar_receber = tratar_entrada(utf8_decode(trim($_GET["conta_pagar_receber"])));
$descricao_lancamento_excluir = tratar_entrada(utf8_decode(trim($_GET["descricao_lancamento_excluir"])));
// url para voltar depois da exclusao
$url_volta = tratar_entrada(str_replace("@@", "&", $_GET["volta"]));

$result = mysqli_query($conexao, "DELETE FROM contas_pagar_receber WHERE id = '$conta_pagar_receber'");
if($result){
  // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' excluiu o lancamento ' . $descricao_lancamento_excluir . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log
  
  header("Location: $url_volta");
  exit; 
}
else{
  $_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de contas a pagar e a receber.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
} 
?>
